tt_procid_session(library call)

NAME
tt_procid_session — identify the session in which a procid was opened

SYNOPSIS

#include &<Tt/tt_c.h>
const char *tt_procid_session(
const char *procid);

DESCRIPTION

The tt_procid_session function returns the identifier of the session in which the specified procid was opened.

The return value points to the sessid for the session associated with the procid. When the sessid value is no longer needed, it must be freed with tt_free.

ARGUMENTS

procid
    The identifier for the procid for which the session identifier is to be returned.

RETURN VALUE

Upon successful completion, the tt_procid_session function returns the pointer to the session identifier.

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession process is not running and the ToolTalk service cannot restart it.

TT_ERR_PROCID
    The specified process identifier is out of date or invalid.

APPLICATION USAGE

None.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_free(3), tt_error_pointer(3)